[SCM] Gerris Flow Solver branch, upstream, updated. b3aa46814a06c9cb2912790b23916ffb44f1f203

Stephane Popinet popinet at users.sf.net
Fri May 15 02:54:44 UTC 2009


The following commit has been merged in the upstream branch:
commit d9a6340ad9b2a8f0ba0ef3eab6f94e91a73f1aa3
Author: Stephane Popinet <popinet at users.sf.net>
Date:   Tue Sep 18 10:26:19 2007 +1000

    Added figure to capillary wave test case
    
    darcs-hash:20070918002619-d4795-b0c43fc7009b4fef33644abb4aba612eda93ef92.gz

diff --git a/test/capwave/capwave.gfs b/test/capwave/capwave.gfs
index 1c3e2c6..19fa46a 100644
--- a/test/capwave/capwave.gfs
+++ b/test/capwave/capwave.gfs
@@ -13,7 +13,7 @@
 # Table \ref{convergence} shows the convergence of various solvers as
 # a function of resolution: Gerris, the marker technique of
 # \cite{popinet99}, Surfer \cite{gueyffier98}, PROST and CLSVOF
-# \cite{gerlach2006}.
+# \cite{gerlach2006}. The same data is represented on Figure \ref{convergence}.
 #
 # The time-evolution of the amplitude given by Prosperetti's theory
 # and Gerris ($64^2$) is given on Figure \ref{amplitude}.
@@ -25,15 +25,24 @@
 # \begin{tabular}{|l|ccccc|} \hline
 # Method & $8^2$ & $16^2$ & $32^2$ & $64^2$ & $128^2$ \\ \hline
 # \input{convergence.tex} & 0.000545 \\
-# Markers & 0.3018 & 0.0778 & 0.0131 & 0.0082 & 0.00645 \\
-# Surfer & - & - & 0.1168 & 0.0132 & 0.007 \\
-# PROST & 0.2960 & 0.0818 & 0.0069 & 0.0018 \\
-# CLSVOF & 0.3169 & 0.0991 & 0.0131 & 0.0033 \\ \hline
+# \input{markers.tex} \\
+# \input{surfer.tex} \\
+# \input{prost.tex} \\
+# \input{clsvof.tex} \\ \hline
 # \end{tabular}
 # \end{center}
 # \end{table}
 #
 # \begin{figure}[htbp]
+# \caption{\label{convergence}Convergence of the RMS error as a
+# function of resolution (number of grid points per wavelength) for
+# the methods indicated in the legend.}
+# \begin{center}
+# \includegraphics[width=\hsize]{convergence.eps}
+# \end{center}
+# \end{figure}
+#
+# \begin{figure}[htbp]
 # \caption{\label{amplitude}Evolution of the amplitude of the capillary wave as a
 # function of non-dimensional time $\tau=\omega_0 t$.}
 # \begin{center}
@@ -44,8 +53,8 @@
 # Author: St\'ephane Popinet
 # Command: sh capwave.sh capwave.gfs
 # Version: 1.1.0
-# Required files: capwave.sh convergence.ref prosperetti
-# Generated files: convergence.tex amplitude.eps
+# Required files: capwave.sh convergence.ref prosperetti markers.tex surfer.tex prost.tex clsvof.tex
+# Generated files: convergence.tex amplitude.eps convergence.eps markers.tex surfer.tex prost.tex clsvof.tex
 #
 3 5 GfsSimulation GfsBox GfsGEdge {} {
   Time { end = 2.2426211256 }
diff --git a/test/capwave/capwave.sh b/test/capwave/capwave.sh
index afce2b4..3acc2c6 100755
--- a/test/capwave/capwave.sh
+++ b/test/capwave/capwave.sh
@@ -29,11 +29,10 @@ for level in $levels; do
 done
 
 awk 'BEGIN{first=1}{ 
-  if (first) printf("Gerris & %.5f",$2);
-  else printf(" & %.5f",$2);
+  if (first) printf("Gerris &\n%.5f",$2);
+  else printf(" &\n%.5f",$2);
   first=0;
-}
-END{printf("\n");}' < convergence > convergence.tex
+}' < convergence > convergence.tex
 
 if cat <<EOF | gnuplot ; then :
     set term postscript eps color lw 3 solid 20
@@ -46,6 +45,23 @@ else
     exit 1
 fi
 
+if test -f clsvof.tex ; then
+    cp convergence.tex gerris.tex
+    echo " &\n0.00060" >> gerris.tex
+    if cat <<EOF | gnuplot ; then :
+      set term postscript eps color lw 3 solid 20
+      set output 'convergence.eps'
+      set xlabel 'Number of grid points'
+      set ylabel 'Relative RMS error'
+      set logscale
+      set grid
+      plot [5:200][1e-4:1]'gerris.tex' u (2**(\$0 + 2)):1 t "Gerris" w lp, 'prost.tex' u (2**(\$0 + 2)):1 t "PROST" w lp, 'markers.tex' u (2**(\$0 + 2)):1 t "Markers" w lp, 'clsvof.tex' u (2**(\$0 + 2)):1 t "CLSVOF" w lp, 'surfer.tex' u (2**(\$0 + 2)):1 t "Surfer" w lp, 2./x**2 t "Second order"
+EOF
+    else
+	exit 1
+    fi
+fi
+
 if cat <<EOF | python ; then :
 from check import *
 from sys import *
diff --git a/test/capwave/clsvof.tex b/test/capwave/clsvof.tex
new file mode 100644
index 0000000..58f5db5
--- /dev/null
+++ b/test/capwave/clsvof.tex
@@ -0,0 +1,5 @@
+CLSVOF &
+0.3169 &
+0.0991 &
+0.0131 &
+0.0033
diff --git a/test/capwave/markers.tex b/test/capwave/markers.tex
new file mode 100644
index 0000000..5758d74
--- /dev/null
+++ b/test/capwave/markers.tex
@@ -0,0 +1,6 @@
+Markers &
+0.3018 &
+0.0778 &
+0.0131 &
+0.0082 &
+0.00645
diff --git a/test/capwave/prost.tex b/test/capwave/prost.tex
new file mode 100644
index 0000000..347a4d9
--- /dev/null
+++ b/test/capwave/prost.tex
@@ -0,0 +1,5 @@
+PROST &
+0.2960 &
+0.0818 &
+0.0069 &
+0.0018
diff --git a/test/capwave/surfer.tex b/test/capwave/surfer.tex
new file mode 100644
index 0000000..cb39cdb
--- /dev/null
+++ b/test/capwave/surfer.tex
@@ -0,0 +1,6 @@
+Surfer &
+- &
+- &
+0.1168 &
+0.0132 &
+0.007

-- 
Gerris Flow Solver



More information about the debian-science-commits mailing list